<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.property.mapper.AMaintenanceRecordsMapper">

    <resultMap id="BaseResultMap" type="com.zksy.property.domain.AMaintenanceRecords">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="deviceId" column="device_id" jdbcType="VARCHAR"/>
            <result property="maintenanceDate" column="maintenance_date" jdbcType="TIMESTAMP"/>
            <result property="maintenanceContent" column="maintenance_content" jdbcType="VARCHAR"/>
            <result property="maintenanceType" column="maintenance_type" jdbcType="VARCHAR"/>
            <result property="maintenanceCost" column="maintenance_cost" jdbcType="DECIMAL"/>
            <result property="maintenancePerson" column="maintenance_person" jdbcType="VARCHAR"/>
            <result property="maintenanceStatus" column="maintenance_status" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,device_id,maintenance_date,maintenance_content,
        maintenance_type,maintenance_cost,maintenance_person,
        maintenance_status,create_time,update_time
    </sql>
</mapper>
